import HView from './HView/index'
import HHeader from './HHeader/index'
import HContent from './HContent/index'
import Scroll from './Scroll/index.vue'
import NumberKeyboard from './NumberKeyboard/index.vue'
import ItemOption from './ItemOption/index'
import OptionButton from './ItemOption/OptionButton'
import HButton from './HButton/index'
import Swipe from './Swipe/index'
import SwipeItem from './Swipe/SwipeItem'
import ListItem from './ListItem/ListItem'
import Item from './ListItem/Item'
import CheckBox from './CheckBox/index'
import Spin from './Spin/index'
import TopTip from './TopTip/index'
import Notify from './Dialog/Notify'
import Stab from './STab/index'
import TabItem from './STab/tab-item'

import BottomTab from './BottomTab/index'
import TabButton from './BottomTab/tab-button'
import Modal from './Modal/Modal'

export default (Vue) => {
  Vue.component('h-view', HView)
  Vue.component('h-header', HHeader)
  Vue.component('h-content', HContent)
  Vue.component('scroll', Scroll)
  Vue.component('number-keyboard', NumberKeyboard)
  Vue.component('item-option', ItemOption)
  Vue.component('option-button', OptionButton)
  Vue.component('h-button', HButton)
  Vue.component('swipe', Swipe)
  Vue.component('swipe-item', SwipeItem)
  Vue.component('list-item', ListItem)
  Vue.component('item', Item)
  Vue.component('spin', Spin)
  Vue.component('top-tip', TopTip)
  Vue.component('notify', Notify)
  Vue.component('check-box', CheckBox)
  Vue.component('s-tab', Stab)
  Vue.component('tab-item', TabItem)
  Vue.component('bottom-tab', BottomTab)
  Vue.component('tab-button', TabButton)
  Vue.component('h-modal', Modal)
}
